(*************************************************************************)
(*                                                                       *)
(*                                OCaPIC                                 *)
(*                                                                       *)
(*            Benoit Vaugon, Université Pierre et Marie Curie            *)
(*                                                                       *)
(*    Ce fichier est distribué sous les termes de la licence CeCILL-B    *)
(*    décrite dans le fichier ../LICENCE.                                *)
(*                                                                       *)
(*************************************************************************)

type ('a, 'b) channel
(** Type of a connection. Parameter 'a is the type of the "pic to computer"
values and 'b is the type of the "computer to pic" values. *)

external open_channel : int -> ('a, 'b) channel =
    "caml_serial_open_channel"
(** Open a serial connection to a computer. *)

external send : ('a, 'b) channel -> 'a -> unit =
    "caml_serial_send"
(** Send an OCaml value to a computer through a serial connection.
The program execution is blocked until the value is received. *)

external receive : ('a, 'b) channel -> 'b =
    "caml_serial_receive"
(** Receive an OCaml value from a computer through a serial connection.
The program execution is blocked until the value is transmitted. *)
